Index: imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/impl/ReportServiceImpl.java
===================================================================
--- imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/impl/ReportServiceImpl.java	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/impl/ReportServiceImpl.java	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -0,0 +1,73 @@
+package internettehnologii.imaps.backendRender.web.service.impl;
+
+import internettehnologii.imaps.backendRender.web.entities.IMapsUser;
+import internettehnologii.imaps.backendRender.web.entities.Report;
+import internettehnologii.imaps.backendRender.web.repo.ReportRepository;
+import internettehnologii.imaps.backendRender.web.repo.UserRepository;
+import internettehnologii.imaps.backendRender.web.service.interfaces.ReportService;
+import lombok.extern.slf4j.Slf4j;
+import org.springframework.mail.SimpleMailMessage;
+import org.springframework.mail.javamail.JavaMailSender;
+import org.springframework.stereotype.Service;
+
+import java.util.List;
+import java.util.Optional;
+
+
+@Service
+public class ReportServiceImpl implements ReportService {
+    private final ReportRepository reportRepository;
+    private final JavaMailSender mailSender;
+    private final UserRepository userRepository;
+
+
+    public ReportServiceImpl(ReportRepository reportRepository, JavaMailSender mailSender, UserRepository userRepository) {
+        this.reportRepository = reportRepository;
+        this.mailSender = mailSender;
+        this.userRepository = userRepository;
+    }
+
+
+    @Override
+    public void saveReport(Report report) {
+        reportRepository.save(report);
+        //sendMailToAdmins(report);
+    }
+
+    @Override
+    public List<Report> getReports() {
+        return reportRepository.findAll();
+    }
+
+    public void sendMailToAdmins(Report report) {
+        SimpleMailMessage message = new SimpleMailMessage();
+        Optional<List<IMapsUser>> adminsOpt = userRepository.getAllAdmins();
+        System.out.println("MAIL " + report);
+        adminsOpt.ifPresent(admins -> {
+            admins.forEach(admin -> {
+                message.setTo(admin.getEmail());
+                message.setSubject("New Report Submitted");
+                String body = String.format(
+                        """
+                        A new report has been submitted:
+                        
+                        Report Details:
+                        \tReport Id: %s
+                        \tSubject: %s
+                        \tContent: %s
+                        \tSubmitted By: %s
+
+                        """,
+                        report.getId(),
+                        report.getSubject(),
+                        report.getContent(),
+                        report.getUser() != null ? report.getUser().getUsername() : "Unknown"
+                );
+                message.setText(body);
+                System.out.println("MESSAGE: " + message);
+                mailSender.send(message);
+            });
+        });
+    }
+
+}
Index: imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/impl/UserServiceImpl.java
===================================================================
--- imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/impl/UserServiceImpl.java	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/impl/UserServiceImpl.java	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -21,4 +21,5 @@
 import org.springframework.security.core.userdetails.UserDetails;
 import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
+import org.springframework.security.crypto.password.PasswordEncoder;
 import org.springframework.stereotype.Service;
 
@@ -31,5 +32,7 @@
     private final UserRepository userRepository;
 
-    private final BCryptPasswordEncoder bCryptPasswordEncoder = new BCryptPasswordEncoder(12);
+    @Autowired
+    private PasswordEncoder passwordEncoder;
+
     @Autowired
     private JWTService jwtService;
@@ -56,5 +59,5 @@
         });
 
-        user.setPassword(bCryptPasswordEncoder.encode(user.getPassword()));
+        user.setPassword(passwordEncoder.encode(user.getPassword()));
 
         Role userRole = roleRepository.findByName("USER").orElseThrow(RoleNotFoundException::new);
@@ -84,5 +87,5 @@
 
     @Override
-    public void addToFavorites(IMapsUser user, IndoorMap map) {
+    public void addFavoriteMap(IMapsUser user, IndoorMap map) {
         user.getFavoriteMaps().add(map);
         userRepository.save(user);
@@ -90,5 +93,5 @@
 
     @Override
-    public void removeFromFavorites(IMapsUser user, IndoorMap map) {
+    public void removeFavoriteMap(IMapsUser user, IndoorMap map) {
         boolean removed = user.getFavoriteMaps().remove(map);
         if(!removed) throw new MapNotFoundException("Map not found. " + map.getName());
@@ -104,4 +107,3 @@
 
 
-
 }
Index: imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/MapService.java
===================================================================
--- imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/MapService.java	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/MapService.java	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -4,10 +4,13 @@
 import internettehnologii.imaps.backendRender.web.entities.MAP_STATUS;
 import internettehnologii.imaps.backendRender.web.entities.RoomType;
+import internettehnologii.imaps.backendRender.web.util.DTO.EditMapDTO;
+import internettehnologii.imaps.backendRender.web.util.DTO.MapDTO;
 
 import java.util.List;
 
 public interface MapService {
-    void createMap(String mapName, String mapType, String username);
+    void createMap(String mapName, String username);
     void updateMap(IndoorMap indoorMap);
+    MapDTO updateMapInfo(EditMapDTO editMapDTO);
     void deleteMap(IndoorMap indoorMap);
     List<IndoorMap> getAllMapsForUser(String username);
Index: imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/OAuthService.java
===================================================================
--- imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/OAuthService.java	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/OAuthService.java	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -0,0 +1,7 @@
+package internettehnologii.imaps.backendRender.web.service.interfaces;
+
+import internettehnologii.imaps.backendRender.web.util.DTO.UserAuthSuccessDTO;
+
+public interface OAuthService {
+    UserAuthSuccessDTO login(String userInfo, String accessToken);
+}
Index: imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/PublishRequestService.java
===================================================================
--- imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/PublishRequestService.java	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/PublishRequestService.java	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -3,4 +3,5 @@
 import internettehnologii.imaps.backendRender.web.entities.IMapsUser;
 import internettehnologii.imaps.backendRender.web.entities.PublishRequest;
+import internettehnologii.imaps.backendRender.web.util.DTO.MapDTO;
 import internettehnologii.imaps.backendRender.web.util.DTO.PublishMapDTO;
 
@@ -8,6 +9,6 @@
 
 public interface PublishRequestService {
-    void addPublishRequest(PublishMapDTO publishRequestDTO, IMapsUser user);
-    void denyPublishRequest(int id) throws Exception;
+    MapDTO addPublishRequest(PublishMapDTO publishRequestDTO, IMapsUser user);
+    void denyPublishRequest(int id,String reason) throws Exception;
     List<PublishRequest> getAllPublishRequests();
     void save(PublishRequest publishRequest);
@@ -16,3 +17,4 @@
     PublishRequest getPublishRequestByMapName(String mapName);
     void editPublishRequest(PublishRequest publishRequest);
+    void sendMailToAdmins(IMapsUser user,PublishRequest pr);
 }
Index: imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/ReportService.java
===================================================================
--- imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/ReportService.java	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/ReportService.java	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -0,0 +1,11 @@
+package internettehnologii.imaps.backendRender.web.service.interfaces;
+
+import internettehnologii.imaps.backendRender.web.entities.Report;
+
+import java.util.List;
+
+public interface ReportService {
+
+    public void saveReport(Report report);
+    public List<Report> getReports();
+}
Index: imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/StateStore.java
===================================================================
--- imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/StateStore.java	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/StateStore.java	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -0,0 +1,6 @@
+package internettehnologii.imaps.backendRender.web.service.interfaces;
+
+public interface StateStore {
+    void storeState(String state);
+    boolean isValidState(String state);
+}
Index: imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/UserService.java
===================================================================
--- imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/UserService.java	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/UserService.java	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -7,11 +7,10 @@
 
 import javax.management.relation.RoleNotFoundException;
-import javax.naming.AuthenticationException;
 
 public interface UserService {
     IMapsUser register(IMapsUser user) throws RoleNotFoundException;
     UserAuthSuccessDTO login(UserLoginDTO user) throws Exception;
-    void addToFavorites(IMapsUser user, IndoorMap map);
-    void removeFromFavorites(IMapsUser user, IndoorMap map);
+    void addFavoriteMap(IMapsUser user, IndoorMap map);
+    void removeFavoriteMap(IMapsUser user, IndoorMap map);
     IMapsUser getUser(String username);
 }
Index: imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/CreateMapDTO.java
===================================================================
--- imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/CreateMapDTO.java	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/CreateMapDTO.java	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -10,4 +10,4 @@
 public class CreateMapDTO {
     private String name;
-    private String mapType;
+    public CreateMapDTO() {}
 }
Index: imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/EditMapDTO.java
===================================================================
--- imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/EditMapDTO.java	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/EditMapDTO.java	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -0,0 +1,17 @@
+package internettehnologii.imaps.backendRender.web.util.DTO;
+
+import lombok.AllArgsConstructor;
+import lombok.Getter;
+import lombok.NoArgsConstructor;
+import lombok.Setter;
+
+@Getter
+@Setter
+@NoArgsConstructor
+@AllArgsConstructor
+public class EditMapDTO {
+    String initialName;
+    String name;
+    String gmapsUrl;
+    String type;
+}
Index: imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/GitHubUserInfo.java
===================================================================
--- imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/GitHubUserInfo.java	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/GitHubUserInfo.java	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -0,0 +1,36 @@
+package internettehnologii.imaps.backendRender.web.util.DTO;
+
+
+import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
+import com.fasterxml.jackson.annotation.JsonProperty;
+import lombok.Data;
+
+@Data
+@JsonIgnoreProperties(ignoreUnknown = true)
+public class GitHubUserInfo {
+    @JsonProperty("login")
+    private String login;
+
+    @JsonProperty("id")
+    private String id;
+
+    @JsonProperty("name")
+    private String name;
+
+    @JsonProperty("email")
+    private String email;
+
+    @JsonProperty("avatar_url")
+    private String avatarUrl;
+
+    @Override
+    public String toString() {
+        return "UserInfo{" +
+                "login='" + login + '\'' +
+                ", id=" + id +
+                ", name='" + name + '\'' +
+                ", email='" + email + '\'' +
+                ", avatarUrl='" + avatarUrl + '\'' +
+                '}';
+    }
+}
Index: imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/GoogleUserInfo.java
===================================================================
--- imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/GoogleUserInfo.java	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/GoogleUserInfo.java	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -0,0 +1,23 @@
+package internettehnologii.imaps.backendRender.web.util.DTO;
+
+import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
+import com.fasterxml.jackson.annotation.JsonProperty;
+import lombok.Data;
+
+@Data
+@JsonIgnoreProperties(ignoreUnknown = true)
+public class GoogleUserInfo {
+
+    @JsonProperty("sub")
+    private String id;
+
+    @JsonProperty("name")
+    private String name;
+
+    @JsonProperty("email")
+    private String email;
+
+    @JsonProperty("picture")
+    private String picture;
+
+}
Index: imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/ReportDTO.java
===================================================================
--- imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/ReportDTO.java	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/ReportDTO.java	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -0,0 +1,14 @@
+package internettehnologii.imaps.backendRender.web.util.DTO;
+
+import lombok.AllArgsConstructor;
+import lombok.Data;
+
+@AllArgsConstructor
+@Data
+public class ReportDTO {
+    String username;
+    String mapName;
+    String subject;
+    String content;
+    String date;
+}
Index: imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/OAuthProviders.java
===================================================================
--- imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/OAuthProviders.java	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/OAuthProviders.java	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -0,0 +1,6 @@
+package internettehnologii.imaps.backendRender.web.util;
+
+public enum OAuthProviders {
+    GITHUB,
+    GOOGLE
+}
Index: imaps-backend/backendRender/target/maven-status/maven-compiler-plugin/compile/default-compile/createdFiles.lst
===================================================================
--- imaps-backend/backendRender/target/maven-status/maven-compiler-plugin/compile/default-compile/createdFiles.lst	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-backend/backendRender/target/maven-status/maven-compiler-plugin/compile/default-compile/createdFiles.lst	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -0,0 +1,87 @@
+internettehnologii/imaps/backendRender/web/repo/PublishRequestRepository.class
+internettehnologii/imaps/backendRender/web/service/interfaces/StateStore.class
+internettehnologii/imaps/backendRender/web/security/JwtFilter.class
+internettehnologii/imaps/backendRender/web/util/DTO/ReportDTO.class
+internettehnologii/imaps/backendRender/web/util/Util.class
+internettehnologii/imaps/backendRender/web/entities/RBA/Role.class
+internettehnologii/imaps/backendRender/web/service/interfaces/OAuthService.class
+internettehnologii/imaps/backendRender/web/controllers/MapViewController.class
+internettehnologii/imaps/backendRender/graph/exceptions/InvalidMapDataException.class
+internettehnologii/imaps/backendRender/web/util/OAuthProviders.class
+internettehnologii/imaps/backendRender/web/util/DTO/GoogleUserInfo.class
+internettehnologii/imaps/backendRender/web/util/DTO/AddRoomTypeDTO.class
+internettehnologii/imaps/backendRender/web/config/OAuthConfig.class
+internettehnologii/imaps/backendRender/web/entities/RBA/Permission.class
+internettehnologii/imaps/backendRender/web/repo/RoleRepository.class
+internettehnologii/imaps/backendRender/web/config/RoleConfig.class
+internettehnologii/imaps/backendRender/web/service/impl/OAuthStateStore.class
+internettehnologii/imaps/backendRender/web/service/impl/UserServiceImpl.class
+internettehnologii/imaps/backendRender/web/util/DTO/FloorDTO.class
+internettehnologii/imaps/backendRender/graph/MapNode.class
+internettehnologii/imaps/backendRender/web/entities/Floor.class
+internettehnologii/imaps/backendRender/web/service/impl/GitHubOAuthService.class
+internettehnologii/imaps/backendRender/graph/Shape.class
+internettehnologii/imaps/backendRender/web/entities/Report.class
+internettehnologii/imaps/backendRender/web/entities/IMapsUser.class
+internettehnologii/imaps/backendRender/web/service/impl/ReportServiceImpl.class
+internettehnologii/imaps/backendRender/web/service/interfaces/FloorService.class
+internettehnologii/imaps/backendRender/web/service/impl/GraphServiceImpl.class
+internettehnologii/imaps/backendRender/web/exceptions/UserNotFoundException.class
+internettehnologii/imaps/backendRender/web/service/impl/MapUserDetailsService.class
+internettehnologii/imaps/backendRender/web/service/interfaces/RoomTypeService.class
+internettehnologii/imaps/backendRender/web/util/DTO/UserAuthSuccessDTO.class
+internettehnologii/imaps/backendRender/web/entities/IndoorMap.class
+internettehnologii/imaps/backendRender/web/util/json/JsonMapData.class
+internettehnologii/imaps/backendRender/graph/Edge.class
+internettehnologii/imaps/backendRender/web/util/UserPrincipal.class
+internettehnologii/imaps/backendRender/web/service/interfaces/UserService.class
+internettehnologii/imaps/backendRender/web/service/impl/GoogleOAuthService.class
+internettehnologii/imaps/backendRender/web/repo/MapRepository.class
+internettehnologii/imaps/backendRender/web/util/DTO/UserMapDTO.class
+internettehnologii/imaps/backendRender/BackendRenderApplication.class
+internettehnologii/imaps/backendRender/web/util/DTO/RoomTypeDTO.class
+internettehnologii/imaps/backendRender/graph/Coordinates.class
+internettehnologii/imaps/backendRender/web/controllers/OAuthController.class
+internettehnologii/imaps/backendRender/graph/exceptions/NodeNotFoundException.class
+internettehnologii/imaps/backendRender/graph/MapNodeParser.class
+internettehnologii/imaps/backendRender/web/util/DTO/UserLoginDTO.class
+internettehnologii/imaps/backendRender/graph/exceptions/MapParseException.class
+internettehnologii/imaps/backendRender/web/service/impl/RoomTypeServiceImpl.class
+internettehnologii/imaps/backendRender/web/exceptions/MapNotFoundException.class
+internettehnologii/imaps/backendRender/web/security/WebSecurityConfig.class
+internettehnologii/imaps/backendRender/web/exceptions/FloorNotFoundException.class
+internettehnologii/imaps/backendRender/web/service/impl/PublishRequestServiceImpl.class
+internettehnologii/imaps/backendRender/web/exceptions/EmptyMapException.class
+internettehnologii/imaps/backendRender/web/exceptions/EmailTakenException.class
+internettehnologii/imaps/backendRender/graph/RouteGraph.class
+internettehnologii/imaps/backendRender/web/exceptions/UsernameTakenException.class
+internettehnologii/imaps/backendRender/web/controllers/InvalidStateException.class
+internettehnologii/imaps/backendRender/web/repo/RoomTypeRepository.class
+internettehnologii/imaps/backendRender/web/service/interfaces/MapService.class
+internettehnologii/imaps/backendRender/web/service/interfaces/PublishRequestService.class
+internettehnologii/imaps/backendRender/web/util/DTO/SaveMapDTO.class
+internettehnologii/imaps/backendRender/web/entities/PublishRequest.class
+internettehnologii/imaps/backendRender/web/entities/MAP_STATUS.class
+internettehnologii/imaps/backendRender/web/util/DTO/MapDTO.class
+internettehnologii/imaps/backendRender/web/controllers/MapDrawController.class
+internettehnologii/imaps/backendRender/web/repo/UserRepository.class
+internettehnologii/imaps/backendRender/web/service/interfaces/ReportService.class
+internettehnologii/imaps/backendRender/web/util/json/JsonNodeConverter.class
+internettehnologii/imaps/backendRender/web/service/impl/FloorServiceImpl.class
+internettehnologii/imaps/backendRender/web/entities/FloorId.class
+internettehnologii/imaps/backendRender/web/repo/FloorRepository.class
+internettehnologii/imaps/backendRender/web/controllers/AdminController.class
+internettehnologii/imaps/backendRender/web/service/interfaces/GraphService.class
+internettehnologii/imaps/backendRender/web/util/DTO/GitHubUserInfo.class
+internettehnologii/imaps/backendRender/web/controllers/AuthController.class
+internettehnologii/imaps/backendRender/web/util/DTO/CreateMapDTO.class
+internettehnologii/imaps/backendRender/web/security/CorsConfigurationImpl.class
+internettehnologii/imaps/backendRender/web/service/impl/JWTService.class
+internettehnologii/imaps/backendRender/web/entities/RoomType.class
+internettehnologii/imaps/backendRender/web/service/impl/MapServiceImpl.class
+internettehnologii/imaps/backendRender/web/repo/ReportRepository.class
+internettehnologii/imaps/backendRender/web/exceptions/MapNameTakenException.class
+internettehnologii/imaps/backendRender/ServletInitializer.class
+internettehnologii/imaps/backendRender/web/util/DTO/PublishMapDTO.class
+internettehnologii/imaps/backendRender/web/exceptions/InvalidParametersException.class
+internettehnologii/imaps/backendRender/web/exceptions/FloorAlreadyExistsException.class
